<div class="change-component-dialog">
  <div class="d-flex align-items-center change-component-dialog-header">
    <h2 mat-dialog-title class="my-0">Change component</h2>
    <span class="spacer"></span>
    <div class="buttons-wrapper">
      <button
        color="primary"
        mat-stroked-button
        (click)="closeDialog()"
        aria-label="Icon button with a close icon"
      >
        Cancel
      </button>
      <button color="primary" mat-raised-button (click)="changeComponent()">
        Save
      </button>
    </div>
  </div>

  <mat-dialog-content>
    <app-slabs-custom-components
      [isWizard]="true"
      (onComponentSelect)="selectComponent($event)"
    ></app-slabs-custom-components>
  </mat-dialog-content>
</div>
